CVE-2023-40080

In multiple functions of btm_ble_gap.cc, there is a possible out of bounds write due to a logic error in the code. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation.
Configurations

Configuration 1 (hide)

OR cpe:2.3:o:google:android:13.0:*:*:*:*:*:*:*
cpe:2.3:o:google:android:14.0:*:*:*:*:*:*:*

History

15 Feb 2024, 20:53

Type Values Removed Values Added
References () https://android.googlesource.com/platform/packages/modules/Bluetooth/+/7b30443dac7bb9138275c909549110191bcbcae9 - () https://android.googlesource.com/platform/packages/modules/Bluetooth/+/7b30443dac7bb9138275c909549110191bcbcae9 - Mailing List, Patch
References () https://source.android.com/security/bulletin/2023-12-01 - Vendor Advisory () https://source.android.com/security/bulletin/2023-12-01 - Patch, Vendor Advisory

22 Dec 2023, 01:15

Type Values Removed Values Added
References
  • () https://android.googlesource.com/platform/packages/modules/Bluetooth/+/7b30443dac7bb9138275c909549110191bcbcae9 -

08 Dec 2023, 18:10

Type Values Removed Values Added
CPE cpe:2.3:o:google:android:13.0:*:*:*:*:*:*:*
cpe:2.3:o:google:android:14.0:*:*:*:*:*:*:*
CWE CWE-787
References () https://source.android.com/security/bulletin/2023-12-01 - () https://source.android.com/security/bulletin/2023-12-01 - Vendor Advisory
First Time Google
Google android
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 7.8

04 Dec 2023, 23:15

Type Values Removed Values Added
New CVE

Information

Published : 2023-12-04 23:15

Updated : 2024-02-15 20:53


NVD link : CVE-2023-40080

Mitre link : CVE-2023-40080

CVE.ORG link : CVE-2023-40080


JSON object : View

Products Affected

google

  • android
CWE
CWE-787

Out-of-bounds Write